LibreOffice: ImageMapRectangleObject Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Included Services | Public Attributes | List of all members
ImageMapRectangleObject Service Referencepublished

this service describes a rectangular-shaped region inside a HTML image map. More...

`import"ImageMapRectangleObject.idl";`

Inheritance diagram for ImageMapRectangleObject:

## Included Services
service | ImageMapObject
| The basic service for all image map objects. More...

## Public Attributes
com::sun::star::awt::Rectangle | Boundary
| This is the boundary of this rectangle object. More...
Public Attributes inherited from ImageMapObject
string | URL
| This is the URL for this object. More...
string | Description
| This is an optional description text for the link. More...
string | Target
| This is the target frame. More...
string | Name
| Optionally, objects could be named. More...
boolean | IsActive
| If an object is not active, it is ignored when the user clicks on the ImageMap. More...

## Additional Inherited Members
Exported Interfaces inherited from ImageMapObject
interface | ::com::sun::star::beans::XPropertySet
| Interface to access the properties of this service. More...
interface | com::sun::star::document::XEventsSupplier
| This interface gives access to the events bound to this ImageMapObject. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XEventsSupplier
com::sun::star::container::XNameReplace | getEvents ()
| offers a list of event handlers which are be bound to events of this object More...

## Detailed Description

this service describes a rectangular-shaped region inside a HTML image map.

See also
  ImageMap
  ImageMapObject

## Exported Interfaces

## ◆ ImageMapObject

service ImageMapObject

The basic service for all image map objects.

## Member Data Documentation

## ◆ Boundary

com::sun::star::awt::Rectangle Boundary
| property

This is the boundary of this rectangle object.

The documentation for this service was generated from the following file:

- com/sun/star/image/ImageMapRectangleObject.idl